
CoCoA-5 - Bug #168

Type info in CoCoA-5 manual

25 May 2012 14:20 - John Abbott

Status: Closed Start date: 25 May 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.3.0 Spent time: 0.20 hour

Description

The manual entries in CoCoAHelp.xml include a collection of the types involved.

What convention should be used for the names of these types?

For instance the fn abs lists as its types integer, rat and ringlem.

Decide a convention, and apply it (as uniformly as possible).

2019-10 ** here it is (this allows generating manual page with all functions returning INT, RAT, ...)

<syntax>

abs(N: <type>INT</type>): <rtn>INT</rtn>

abs(N: <type>RAT</type>): <rtn>RAT</rtn>

abs(N: <type>RINGELEM</type>): <rtn>RINGELEM</rtn>

</syntax>

Related issues:

Related to CoCoA-5 - Bug #1320: CoCoA-5 manual:  incorrect empty line in synt... New 25 Sep 2019

Related to CoCoA-5 - Support #1024: CoCoA Manual: consistent spacing in VarNa... Closed 06 Mar 2017

Related to CoCoA-5 - Support #542: CoCoAManual: improve part on data-types Closed 23 Apr 2014

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 09 Apr 2014 17:16 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#3 - 07 Aug 2018 17:50 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 50

I think that has already been (mostly) done.  Right?

Setting new target version.

#4 - 01 Oct 2019 14:52 - John Abbott

Can we close this now?

#5 - 10 Oct 2019 17:37 - Anna Maria Bigatti

- Subject changed from Type info in C5 manual to Type info in CoCoA-5 manual
- Description updated

- Status changed from In Progress to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 50 to 100

#6 - 10 Oct 2019 17:38 - Anna Maria Bigatti

- Related to Bug #1320: CoCoA-5 manual:  incorrect empty line in syntax box (in PDF file) added

#7 - 10 Oct 2019 17:39 - Anna Maria Bigatti

- Related to Support #1024: CoCoA Manual: consistent spacing in VarName: TYPE added

#8 - 10 Oct 2019 17:43 - Anna Maria Bigatti

- Related to Support #542: CoCoAManual: improve part on data-types added
